/*
 * Copyright (c) 2014 UPLEX - Nils Goroll Systemoptimierung
 * All rights reserved.
 * Use only with permission
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL AUTHOR OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#include "dcs_config.h"

#include "vrt.h"
#include "vcc_if.h"

#include "dcs_varnish.c"

int
vmod_classify(struct sess *sp) {
	return dcs_varnish_classify(sp);
}

const char *
vmod_entry_key(struct sess *sp, int e) {
	(void) sp;
	return dcs_match_key(e);
}

int
vmod_type_id(struct sess *sp, int e) {
	(void) sp;
	return dcs_match_type_id(e);
}
	
const char *
vmod_type_name(struct sess *sp, int e) {
	const int t = dcs_match_type_id(e);

	(void) sp;
	return dcs_type_name(t > 0 ? t : 0);
}

const char *
vmod_type_mtd(struct sess *sp, int e) {
	const int t = dcs_match_type_id(e);

	(void) sp;
	return dcs_type_mtd(t > 0 ? t : 0);
}
